---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: oauth2-proxy
  namespace: oauth2-proxy
spec:
  interval: 5m
  chart:
    spec:
      chart: oauth2-proxy
      version: 3.2.3
      sourceRef:
        kind: HelmRepository
        name: kubernetes-stable
        namespace: gotk-system
      interval: 1m
  test:
    enable: false # Enable helm test
  install:
    remediation: # perform remediation when helm install fails
      retries: 5
  upgrade:
    remediation: # perform remediation when helm upgrade fails
      retries: 3
      remediateLastFailure: true # remediate the last failure, when no retries remain
    cleanupOnFail: true
  rollback:
    timeout: 1m
    cleanupOnFail: true
  # Depends on having the sealed secret oauth2-proxy-dex un-encrypted. Also requires dex + cert-manager to be running.
  dependsOn:
  - name: cert-manager
    namespace: cert-manager
  values:
    # podAnnotations:
    #   sidecar.istio.io/inject: "true"
    image:
      repository: quay.io/oauth2-proxy/oauth2-proxy
      tag: v6.1.1-arm64
    config:
      existingSecret: oauth2-google-secrets
      google:
        adminEmail: "oauth2-proxy-sa@mcfaul.cloud"
        existingSecret: oauth2-google-config
      configFile: |-
        provider = "google"
        oidc_issuer_url = "https://accounts.google.com"
        auth_logging = true
        cookie_domains = ".milton.mcf.io"
        cookie_httponly = true
        cookie_name = "_mcfio_oauth"
        cookie_refresh = "1h"
        cookie_samesite = "lax"
        cookie_secure = true
        email_domains = [ "*" ]
        google_group = "group-monitoring@mcfaul.cloud"
        pass_access_token = true
        pass_authorization_header = true
        pass_basic_auth = false
        request_logging = true
        set_authorization_header = true
        set_xauthrequest = true
        session_store_type = "cookie"
        silence_ping_logging = true
        skip_jwt_bearer_tokens = true
        skip_provider_button = true
        standard_logging = true
        ssl_insecure_skip_verify = false
        upstreams = [ "static://200" ]
        whitelist_domains = ".milton.mcf.io"
